Logo
OpenScaler

Update user preferences

PUT
/v1/my/preferences

Update preferences for the authenticated user.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for updating user preferences.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X PUT "https://example.com/v1/my/preferences" \  -H "Content-Type: application/json" \  -d '{    "theme_color": "blue"  }'
{  "status": "success"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}